Bug 1201655 - F22 cloud image does not have yum symbolic link
Summary: F22 cloud image does not have yum symbolic link
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Václav Pavlín
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-13 08:25 UTC by Attila Fazekas
Modified: 2016-07-19 13:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 13:01:34 UTC


Attachments (Terms of Use)

Description Attila Fazekas 2015-03-13 08:25:39 UTC
Description of problem:
$ yum
-bash: yum: command not found

It can break almost all existing script and install tool.

Version-Release number of selected component (if applicable):
Fedora-Cloud-Base-22_Alpha-20150305.x86_64

Expected results:
yum points to dnf.

Additional info:
$ sudo dnf install dnf-yum
Solves the issue.

Please add dnf-yum to the cloud image.

Comment 1 Mike Ruckman 2015-03-13 16:06:43 UTC
Afaik, this is planned. Which tools/scripts are failing for you?

Comment 2 Attila Fazekas 2015-03-16 06:59:56 UTC
"Eventually, DNF (which, contrary to many jokes, doesn't stand for anything) will be renamed to Yum, even though it is not a drop-in replacement. "

http://lwn.net/Articles/580223/

afaik the plan is to rename dnf to yum, so most scripts does not even need to be modified.

As most of the existing end user scripts or application does not prepared to things like `ls rename` they are also not prepared for `yum rename`.

I suggest to have the symbolic link installed by default on the cloud image,
it makes easier for everyone create scripts/apps which support multiple distribution and distribution version.

Comment 3 Josh Boyer 2015-03-16 14:13:45 UTC
(In reply to Attila Fazekas from comment #2)
> "Eventually, DNF (which, contrary to many jokes, doesn't stand for anything)
> will be renamed to Yum, even though it is not a drop-in replacement. "
> 
> http://lwn.net/Articles/580223/
> 
> afaik the plan is to rename dnf to yum, so most scripts does not even need
> to be modified.

That is no longer the plan.

Comment 4 Fedora End Of Life 2016-07-19 13:01:34 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.